Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(694)

Issue 417153003: Invalid height of column flex children with overflow: scroll (Closed)

Created:
6 years, 2 months ago by harpreet.sk
Modified:
6 years, 2 months ago
CC:
blink-reviews, blink-reviews-rendering, cbiesinger, eae+blinkwatch, jchaffraix+rendering, leviw+renderwatch, pdr., rune+blink, zoltan1
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Project:
blink
Visibility:
Public.

Description

Invalid height of column flex children with overflow: scroll Children of flexbox with flex-direction: column/column-reverse shrinked their height after applying the overflow: scroll style. Children shows an incorrect height. The difference in height coming is equal to scrollbarLogicalHeight. This bug is occuring because we are not taking into account the scrollbar height while computing the mainAxisExtentForChild. This patch fixes this bug by adding scrollbarLogicalHeight while calculating mainAxisExtentForChild. BUG=364977 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=179095

Patch Set 1 #

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+32 lines, -0 lines) Patch
A LayoutTests/css3/flexbox/column-flex-child-with-overflow-scroll.html View 1 1 chunk +32 lines, -0 lines 0 comments Download
A + LayoutTests/css3/flexbox/column-flex-child-with-overflow-scroll-expected.txt View 1 0 chunks +-1 lines, --1 lines 0 comments Download
M Source/core/rendering/RenderFlexibleBox.cpp View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 10 (0 generated)
harpreet.sk
ptal...
6 years, 2 months ago (2014-07-25 13:39:54 UTC) #1
harpreet.sk
ping..
6 years, 2 months ago (2014-07-28 17:34:44 UTC) #2
leviw_travelin_and_unemployed
lgtm
6 years, 2 months ago (2014-07-28 20:51:12 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/harpreet.sk@samsung.com/417153003/20001
6 years, 2 months ago (2014-07-28 20:52:00 UTC) #4
commit-bot: I haz the power
FYI, CQ is re-trying this CL (attempt #1). The failing builders are: win_gpu_triggered_tests on tryserver.chromium.gpu ...
6 years, 2 months ago (2014-07-28 21:59:42 UTC) #5
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
6 years, 2 months ago (2014-07-28 22:55:31 UTC) #6
commit-bot: I haz the power
Try jobs failed on following builders: win_gpu_triggered_tests on tryserver.chromium.gpu (http://build.chromium.org/p/tryserver.chromium.gpu/builders/win_gpu_triggered_tests/builds/33617)
6 years, 2 months ago (2014-07-28 22:55:32 UTC) #7
harpreet.sk
The CQ bit was checked by harpreet.sk@samsung.com
6 years, 2 months ago (2014-07-29 04:14:14 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/harpreet.sk@samsung.com/417153003/20001
6 years, 2 months ago (2014-07-29 04:14:38 UTC) #9
commit-bot: I haz the power
6 years, 2 months ago (2014-07-29 04:16:18 UTC) #10
Message was sent while issue was closed.
Change committed as 179095

Powered by Google App Engine
This is Rietveld 408576698